The Item object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

item_code string required
variant_of string
item_name string
item_group string required
stock_uom string required
disabled boolean

Default: false

allow_alternative_item boolean

Default: false

is_stock_item boolean

Default: true

include_item_in_manufacturing boolean

Default: true

opening_stock number
valuation_rate number
standard_rate number
is_fixed_asset boolean

Default: false

asset_category string
asset_naming_series string
image string
brand string
description string
shelf_life_in_days integer
end_of_life string

Default: 2099-12-31

default_material_request_type string

Default: Purchase

valuation_method string
warranty_period string
weight_per_unit number
weight_uom string
has_batch_no boolean

Default: false

create_new_batch boolean

Default: false

batch_number_series string
has_expiry_date boolean

Default: false

retain_sample boolean

Default: false

sample_quantity integer
has_serial_no boolean

Default: false

serial_no_series string
has_variants boolean

Default: false

variant_based_on string

Default: Item Attribute

is_purchase_item boolean

Default: true

purchase_uom string
min_order_qty number

Default: 0

safety_stock number
lead_time_days integer
last_purchase_rate number
is_customer_provided_item boolean

Default: false

customer string
delivered_by_supplier boolean

Default: false

country_of_origin string
customs_tariff_number string
sales_uom string
is_sales_item boolean

Default: true

max_discount number
enable_deferred_revenue boolean

Default: false

no_of_months integer
enable_deferred_expense boolean

Default: false

no_of_months_exp integer
inspection_required_before_purchase boolean

Default: false

inspection_required_before_delivery boolean

Default: false

quality_inspection_template string
default_bom string
is_sub_contracted_item boolean

Default: false

customer_code string
total_projected_qty number
over_delivery_receipt_allowance number
over_billing_allowance number
auto_create_assets boolean

Default: false

default_item_manufacturer string
default_manufacturer_part_no string
grant_commission boolean

Default: true

is_grouped_asset boolean

Default: false

allow_negative_stock boolean

Default: false

production_capacity integer
purchase_tax_withholding_category string
sales_tax_withholding_category string
The Item object
{
  "id": "item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "variant_of": "variant_of_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "stock_uom": "stock_uom_example",
  "disabled": false,
  "allow_alternative_item": false,
  "is_stock_item": true,
  "include_item_in_manufacturing": true,
  "opening_stock": 0,
  "valuation_rate": 0,
  "standard_rate": 0,
  "is_fixed_asset": false,
  "asset_category": "asset_category_example",
  "asset_naming_series": "asset_naming_series_example",
  "image": "image_example",
  "brand": "brand_example",
  "description": "description_example",
  "shelf_life_in_days": 0,
  "end_of_life": "2099-12-31",
  "default_material_request_type": "Purchase",
  "valuation_method": "valuation_method_example",
  "warranty_period": "warranty_period_example",
  "weight_per_unit": 0,
  "weight_uom": "weight_uom_example",
  "has_batch_no": false,
  "create_new_batch": false,
  "batch_number_series": "batch_number_series_example",
  "has_expiry_date": false,
  "retain_sample": false,
  "sample_quantity": 0,
  "has_serial_no": false,
  "serial_no_series": "serial_no_series_example",
  "has_variants": false,
  "variant_based_on": "Item Attribute",
  "is_purchase_item": true,
  "purchase_uom": "purchase_uom_example",
  "min_order_qty": 0,
  "safety_stock": 0,
  "lead_time_days": 0,
  "last_purchase_rate": 0,
  "is_customer_provided_item": false,
  "customer": "customer_example",
  "delivered_by_supplier": false,
  "country_of_origin": "country_of_origin_example",
  "customs_tariff_number": "customs_tariff_number_example",
  "sales_uom": "sales_uom_example",
  "is_sales_item": true,
  "max_discount": 0,
  "enable_deferred_revenue": false,
  "no_of_months": 0,
  "enable_deferred_expense": false,
  "no_of_months_exp": 0,
  "inspection_required_before_purchase": false,
  "inspection_required_before_delivery": false,
  "quality_inspection_template": "quality_inspection_template_example",
  "default_bom": "default_bom_example",
  "is_sub_contracted_item": false,
  "customer_code": "customer_code_example",
  "total_projected_qty": 0,
  "over_delivery_receipt_allowance": 0,
  "over_billing_allowance": 0,
  "auto_create_assets": false,
  "default_item_manufacturer": "default_item_manufacturer_example",
  "default_manufacturer_part_no": "default_manufacturer_part_no_example",
  "grant_commission": true,
  "is_grouped_asset": false,
  "allow_negative_stock": false,
  "production_capacity": 0,
  "purchase_tax_withholding_category": "purchase_tax_withholding_category_example",
  "sales_tax_withholding_category": "sales_tax_withholding_category_example"
}
GET /api/stock/item/{id}

Retrieve a item

Retrieves the details of an existing item. Supply the unique item ID that was returned from a previous request.

Path parameters

id string required

The identifier of the item to retrieve.

Returns

Returns the item object if a valid identifier was provided.

GET /api/stock/item/{id}
curl https://api.overplane.dev/api/stock/item/item_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "variant_of": "variant_of_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "stock_uom": "stock_uom_example",
  "disabled": false,
  "allow_alternative_item": false,
  "is_stock_item": true,
  "include_item_in_manufacturing": true,
  "opening_stock": 0,
  "valuation_rate": 0,
  "standard_rate": 0,
  "is_fixed_asset": false,
  "asset_category": "asset_category_example",
  "asset_naming_series": "asset_naming_series_example",
  "image": "image_example",
  "brand": "brand_example",
  "description": "description_example",
  "shelf_life_in_days": 0,
  "end_of_life": "2099-12-31",
  "default_material_request_type": "Purchase",
  "valuation_method": "valuation_method_example",
  "warranty_period": "warranty_period_example",
  "weight_per_unit": 0,
  "weight_uom": "weight_uom_example",
  "has_batch_no": false,
  "create_new_batch": false,
  "batch_number_series": "batch_number_series_example",
  "has_expiry_date": false,
  "retain_sample": false,
  "sample_quantity": 0,
  "has_serial_no": false,
  "serial_no_series": "serial_no_series_example",
  "has_variants": false,
  "variant_based_on": "Item Attribute",
  "is_purchase_item": true,
  "purchase_uom": "purchase_uom_example",
  "min_order_qty": 0,
  "safety_stock": 0,
  "lead_time_days": 0,
  "last_purchase_rate": 0,
  "is_customer_provided_item": false,
  "customer": "customer_example",
  "delivered_by_supplier": false,
  "country_of_origin": "country_of_origin_example",
  "customs_tariff_number": "customs_tariff_number_example",
  "sales_uom": "sales_uom_example",
  "is_sales_item": true,
  "max_discount": 0,
  "enable_deferred_revenue": false,
  "no_of_months": 0,
  "enable_deferred_expense": false,
  "no_of_months_exp": 0,
  "inspection_required_before_purchase": false,
  "inspection_required_before_delivery": false,
  "quality_inspection_template": "quality_inspection_template_example",
  "default_bom": "default_bom_example",
  "is_sub_contracted_item": false,
  "customer_code": "customer_code_example",
  "total_projected_qty": 0,
  "over_delivery_receipt_allowance": 0,
  "over_billing_allowance": 0,
  "auto_create_assets": false,
  "default_item_manufacturer": "default_item_manufacturer_example",
  "default_manufacturer_part_no": "default_manufacturer_part_no_example",
  "grant_commission": true,
  "is_grouped_asset": false,
  "allow_negative_stock": false,
  "production_capacity": 0,
  "purchase_tax_withholding_category": "purchase_tax_withholding_category_example",
  "sales_tax_withholding_category": "sales_tax_withholding_category_example"
}
GET /api/stock/item

List all items

Returns a list of items. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of item objects.

GET /api/stock/item
curl https://api.overplane.dev/api/stock/item \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "item_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "item_code": "item_code_example",
      "variant_of": "variant_of_example",
      "item_name": "item_name_example",
      "item_group": "item_group_example",
      "stock_uom": "stock_uom_example",
      "disabled": false,
      "allow_alternative_item": false,
      "is_stock_item": true,
      "include_item_in_manufacturing": true,
      "opening_stock": 0,
      "valuation_rate": 0,
      "standard_rate": 0,
      "is_fixed_asset": false,
      "asset_category": "asset_category_example",
      "asset_naming_series": "asset_naming_series_example",
      "image": "image_example",
      "brand": "brand_example",
      "description": "description_example",
      "shelf_life_in_days": 0,
      "end_of_life": "2099-12-31",
      "default_material_request_type": "Purchase",
      "valuation_method": "valuation_method_example",
      "warranty_period": "warranty_period_example",
      "weight_per_unit": 0,
      "weight_uom": "weight_uom_example",
      "has_batch_no": false,
      "create_new_batch": false,
      "batch_number_series": "batch_number_series_example",
      "has_expiry_date": false,
      "retain_sample": false,
      "sample_quantity": 0,
      "has_serial_no": false,
      "serial_no_series": "serial_no_series_example",
      "has_variants": false,
      "variant_based_on": "Item Attribute",
      "is_purchase_item": true,
      "purchase_uom": "purchase_uom_example",
      "min_order_qty": 0,
      "safety_stock": 0,
      "lead_time_days": 0,
      "last_purchase_rate": 0,
      "is_customer_provided_item": false,
      "customer": "customer_example",
      "delivered_by_supplier": false,
      "country_of_origin": "country_of_origin_example",
      "customs_tariff_number": "customs_tariff_number_example",
      "sales_uom": "sales_uom_example",
      "is_sales_item": true,
      "max_discount": 0,
      "enable_deferred_revenue": false,
      "no_of_months": 0,
      "enable_deferred_expense": false,
      "no_of_months_exp": 0,
      "inspection_required_before_purchase": false,
      "inspection_required_before_delivery": false,
      "quality_inspection_template": "quality_inspection_template_example",
      "default_bom": "default_bom_example",
      "is_sub_contracted_item": false,
      "customer_code": "customer_code_example",
      "total_projected_qty": 0,
      "over_delivery_receipt_allowance": 0,
      "over_billing_allowance": 0,
      "auto_create_assets": false,
      "default_item_manufacturer": "default_item_manufacturer_example",
      "default_manufacturer_part_no": "default_manufacturer_part_no_example",
      "grant_commission": true,
      "is_grouped_asset": false,
      "allow_negative_stock": false,
      "production_capacity": 0,
      "purchase_tax_withholding_category": "purchase_tax_withholding_category_example",
      "sales_tax_withholding_category": "sales_tax_withholding_category_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/item

Create a item

Creates a new item object.

Body parameters

item_code string required
variant_of string
item_name string
item_group string required
stock_uom string required
disabled boolean

Default: false

allow_alternative_item boolean

Default: false

is_stock_item boolean

Default: true

include_item_in_manufacturing boolean

Default: true

opening_stock number
valuation_rate number
standard_rate number
is_fixed_asset boolean

Default: false

asset_category string
asset_naming_series string
image string
brand string
description string
shelf_life_in_days integer
end_of_life string

Default: 2099-12-31

default_material_request_type string

Default: Purchase

valuation_method string
warranty_period string
weight_per_unit number
weight_uom string
has_batch_no boolean

Default: false

create_new_batch boolean

Default: false

batch_number_series string
has_expiry_date boolean

Default: false

retain_sample boolean

Default: false

sample_quantity integer
has_serial_no boolean

Default: false

serial_no_series string
has_variants boolean

Default: false

variant_based_on string

Default: Item Attribute

is_purchase_item boolean

Default: true

purchase_uom string
min_order_qty number

Default: 0

safety_stock number
lead_time_days integer
last_purchase_rate number
is_customer_provided_item boolean

Default: false

customer string
delivered_by_supplier boolean

Default: false

country_of_origin string
customs_tariff_number string
sales_uom string
is_sales_item boolean

Default: true

max_discount number
enable_deferred_revenue boolean

Default: false

no_of_months integer
enable_deferred_expense boolean

Default: false

no_of_months_exp integer
inspection_required_before_purchase boolean

Default: false

inspection_required_before_delivery boolean

Default: false

quality_inspection_template string
default_bom string
is_sub_contracted_item boolean

Default: false

customer_code string
total_projected_qty number
over_delivery_receipt_allowance number
over_billing_allowance number
auto_create_assets boolean

Default: false

default_item_manufacturer string
default_manufacturer_part_no string
grant_commission boolean

Default: true

is_grouped_asset boolean

Default: false

allow_negative_stock boolean

Default: false

production_capacity integer
purchase_tax_withholding_category string
sales_tax_withholding_category string

Returns

Returns the newly created item object if the call succeeded.

POST /api/stock/item
curl https://api.overplane.dev/api/stock/item \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"item_code":"item_code_example","item_group":"item_group_example","stock_uom":"stock_uom_example"}'
Response
{
  "id": "item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "variant_of": "variant_of_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "stock_uom": "stock_uom_example",
  "disabled": false,
  "allow_alternative_item": false,
  "is_stock_item": true,
  "include_item_in_manufacturing": true,
  "opening_stock": 0,
  "valuation_rate": 0,
  "standard_rate": 0,
  "is_fixed_asset": false,
  "asset_category": "asset_category_example",
  "asset_naming_series": "asset_naming_series_example",
  "image": "image_example",
  "brand": "brand_example",
  "description": "description_example",
  "shelf_life_in_days": 0,
  "end_of_life": "2099-12-31",
  "default_material_request_type": "Purchase",
  "valuation_method": "valuation_method_example",
  "warranty_period": "warranty_period_example",
  "weight_per_unit": 0,
  "weight_uom": "weight_uom_example",
  "has_batch_no": false,
  "create_new_batch": false,
  "batch_number_series": "batch_number_series_example",
  "has_expiry_date": false,
  "retain_sample": false,
  "sample_quantity": 0,
  "has_serial_no": false,
  "serial_no_series": "serial_no_series_example",
  "has_variants": false,
  "variant_based_on": "Item Attribute",
  "is_purchase_item": true,
  "purchase_uom": "purchase_uom_example",
  "min_order_qty": 0,
  "safety_stock": 0,
  "lead_time_days": 0,
  "last_purchase_rate": 0,
  "is_customer_provided_item": false,
  "customer": "customer_example",
  "delivered_by_supplier": false,
  "country_of_origin": "country_of_origin_example",
  "customs_tariff_number": "customs_tariff_number_example",
  "sales_uom": "sales_uom_example",
  "is_sales_item": true,
  "max_discount": 0,
  "enable_deferred_revenue": false,
  "no_of_months": 0,
  "enable_deferred_expense": false,
  "no_of_months_exp": 0,
  "inspection_required_before_purchase": false,
  "inspection_required_before_delivery": false,
  "quality_inspection_template": "quality_inspection_template_example",
  "default_bom": "default_bom_example",
  "is_sub_contracted_item": false,
  "customer_code": "customer_code_example",
  "total_projected_qty": 0,
  "over_delivery_receipt_allowance": 0,
  "over_billing_allowance": 0,
  "auto_create_assets": false,
  "default_item_manufacturer": "default_item_manufacturer_example",
  "default_manufacturer_part_no": "default_manufacturer_part_no_example",
  "grant_commission": true,
  "is_grouped_asset": false,
  "allow_negative_stock": false,
  "production_capacity": 0,
  "purchase_tax_withholding_category": "purchase_tax_withholding_category_example",
  "sales_tax_withholding_category": "sales_tax_withholding_category_example"
}
PATCH /api/stock/item/{id}

Update a item

Updates the specified item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the item to update.

Body parameters

item_code string
variant_of string
item_name string
item_group string
stock_uom string
disabled boolean

Default: false

allow_alternative_item boolean

Default: false

is_stock_item boolean

Default: true

include_item_in_manufacturing boolean

Default: true

opening_stock number
valuation_rate number
standard_rate number
is_fixed_asset boolean

Default: false

asset_category string
asset_naming_series string
image string
brand string
description string
shelf_life_in_days integer
end_of_life string

Default: 2099-12-31

default_material_request_type string

Default: Purchase

valuation_method string
warranty_period string
weight_per_unit number
weight_uom string
has_batch_no boolean

Default: false

create_new_batch boolean

Default: false

batch_number_series string
has_expiry_date boolean

Default: false

retain_sample boolean

Default: false

sample_quantity integer
has_serial_no boolean

Default: false

serial_no_series string
has_variants boolean

Default: false

variant_based_on string

Default: Item Attribute

is_purchase_item boolean

Default: true

purchase_uom string
min_order_qty number

Default: 0

safety_stock number
lead_time_days integer
last_purchase_rate number
is_customer_provided_item boolean

Default: false

customer string
delivered_by_supplier boolean

Default: false

country_of_origin string
customs_tariff_number string
sales_uom string
is_sales_item boolean

Default: true

max_discount number
enable_deferred_revenue boolean

Default: false

no_of_months integer
enable_deferred_expense boolean

Default: false

no_of_months_exp integer
inspection_required_before_purchase boolean

Default: false

inspection_required_before_delivery boolean

Default: false

quality_inspection_template string
default_bom string
is_sub_contracted_item boolean

Default: false

customer_code string
total_projected_qty number
over_delivery_receipt_allowance number
over_billing_allowance number
auto_create_assets boolean

Default: false

default_item_manufacturer string
default_manufacturer_part_no string
grant_commission boolean

Default: true

is_grouped_asset boolean

Default: false

allow_negative_stock boolean

Default: false

production_capacity integer
purchase_tax_withholding_category string
sales_tax_withholding_category string

Returns

Returns the updated item object.

PATCH /api/stock/item/{id}
curl https://api.overplane.dev/api/stock/item/item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"item_code":"item_code_example","variant_of":"variant_of_example"}'
Response
{
  "id": "item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "variant_of": "variant_of_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "stock_uom": "stock_uom_example",
  "disabled": false,
  "allow_alternative_item": false,
  "is_stock_item": true,
  "include_item_in_manufacturing": true,
  "opening_stock": 0,
  "valuation_rate": 0,
  "standard_rate": 0,
  "is_fixed_asset": false,
  "asset_category": "asset_category_example",
  "asset_naming_series": "asset_naming_series_example",
  "image": "image_example",
  "brand": "brand_example",
  "description": "description_example",
  "shelf_life_in_days": 0,
  "end_of_life": "2099-12-31",
  "default_material_request_type": "Purchase",
  "valuation_method": "valuation_method_example",
  "warranty_period": "warranty_period_example",
  "weight_per_unit": 0,
  "weight_uom": "weight_uom_example",
  "has_batch_no": false,
  "create_new_batch": false,
  "batch_number_series": "batch_number_series_example",
  "has_expiry_date": false,
  "retain_sample": false,
  "sample_quantity": 0,
  "has_serial_no": false,
  "serial_no_series": "serial_no_series_example",
  "has_variants": false,
  "variant_based_on": "Item Attribute",
  "is_purchase_item": true,
  "purchase_uom": "purchase_uom_example",
  "min_order_qty": 0,
  "safety_stock": 0,
  "lead_time_days": 0,
  "last_purchase_rate": 0,
  "is_customer_provided_item": false,
  "customer": "customer_example",
  "delivered_by_supplier": false,
  "country_of_origin": "country_of_origin_example",
  "customs_tariff_number": "customs_tariff_number_example",
  "sales_uom": "sales_uom_example",
  "is_sales_item": true,
  "max_discount": 0,
  "enable_deferred_revenue": false,
  "no_of_months": 0,
  "enable_deferred_expense": false,
  "no_of_months_exp": 0,
  "inspection_required_before_purchase": false,
  "inspection_required_before_delivery": false,
  "quality_inspection_template": "quality_inspection_template_example",
  "default_bom": "default_bom_example",
  "is_sub_contracted_item": false,
  "customer_code": "customer_code_example",
  "total_projected_qty": 0,
  "over_delivery_receipt_allowance": 0,
  "over_billing_allowance": 0,
  "auto_create_assets": false,
  "default_item_manufacturer": "default_item_manufacturer_example",
  "default_manufacturer_part_no": "default_manufacturer_part_no_example",
  "grant_commission": true,
  "is_grouped_asset": false,
  "allow_negative_stock": false,
  "production_capacity": 0,
  "purchase_tax_withholding_category": "purchase_tax_withholding_category_example",
  "sales_tax_withholding_category": "sales_tax_withholding_category_example"
}
DELETE /api/stock/item/{id}

Delete a item

Permanently deletes a item. This cannot be undone.

Path parameters

id string required

The identifier of the item to delete.

Returns

Returns a confirmation that the item has been deleted.

DELETE /api/stock/item/{id}
curl https://api.overplane.dev/api/stock/item/item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "item_abc123",
  "deleted": true
}

Line items

Child objects that belong to this item. These are accessed via the parent's ID.

Item Barcode

Attributes

idx integer
item_id string required
barcode string required
barcode_type string
uom string

Endpoints

GET /api/stock/item-barcode?parent_id={id}
POST /api/stock/item-barcode
PATCH /api/stock/item-barcode/{id}
DELETE /api/stock/item-barcode/{id}
POST /api/stock/item-barcode/reorder
Item Barcode object
{
  "id": "item-barcode_abc123",
  "idx": 1,
  "item_id": "item_id_example",
  "barcode": "barcode_example",
  "barcode_type": "barcode_type_example",
  "uom": "uom_example"
}

Item Customer Detail

Attributes

idx integer
item_id string required
customer_name string
customer_group string
ref_code string required

Endpoints

GET /api/stock/item-customer-detail?parent_id={id}
POST /api/stock/item-customer-detail
PATCH /api/stock/item-customer-detail/{id}
DELETE /api/stock/item-customer-detail/{id}
POST /api/stock/item-customer-detail/reorder
Item Customer Detail object
{
  "id": "item-customer-detail_abc123",
  "idx": 1,
  "item_id": "item_id_example",
  "customer_name": "customer_name_example",
  "customer_group": "customer_group_example",
  "ref_code": "ref_code_example"
}

Item Reorder

Attributes

idx integer
item_id string required
warehouse_group string
warehouse string required
warehouse_reorder_level number
warehouse_reorder_qty number
material_request_type string required

Endpoints

GET /api/stock/item-reorder?parent_id={id}
POST /api/stock/item-reorder
PATCH /api/stock/item-reorder/{id}
DELETE /api/stock/item-reorder/{id}
POST /api/stock/item-reorder/reorder
Item Reorder object
{
  "id": "item-reorder_abc123",
  "idx": 1,
  "item_id": "item_id_example",
  "warehouse_group": "warehouse_group_example",
  "warehouse": "warehouse_example",
  "warehouse_reorder_level": 0,
  "warehouse_reorder_qty": 0,
  "material_request_type": "material_request_type_example"
}

Item Supplier

Attributes

idx integer
item_id string required
supplier string required
supplier_part_no string

Endpoints

GET /api/stock/item-supplier?parent_id={id}
POST /api/stock/item-supplier
PATCH /api/stock/item-supplier/{id}
DELETE /api/stock/item-supplier/{id}
POST /api/stock/item-supplier/reorder
Item Supplier object
{
  "id": "item-supplier_abc123",
  "idx": 1,
  "item_id": "item_id_example",
  "supplier": "supplier_example",
  "supplier_part_no": "supplier_part_no_example"
}

Item Variant Attribute

Attributes

idx integer
item_id string required
variant_of string
attribute string required
attribute_value string
numeric_values boolean
from_range number
increment number
to_range number
disabled boolean

Endpoints

GET /api/stock/item-variant-attribute?parent_id={id}
POST /api/stock/item-variant-attribute
PATCH /api/stock/item-variant-attribute/{id}
DELETE /api/stock/item-variant-attribute/{id}
POST /api/stock/item-variant-attribute/reorder
Item Variant Attribute object
{
  "id": "item-variant-attribute_abc123",
  "idx": 1,
  "item_id": "item_id_example",
  "variant_of": "variant_of_example",
  "attribute": "attribute_example",
  "attribute_value": "attribute_value_example",
  "numeric_values": false,
  "from_range": 0,
  "increment": 0,
  "to_range": 0,
  "disabled": false
}

UOM Conversion Detail

Attributes

idx integer
item_id string required
uom string
conversion_factor number

Endpoints

GET /api/stock/u-o-m-conversion-detail?parent_id={id}
POST /api/stock/u-o-m-conversion-detail
PATCH /api/stock/u-o-m-conversion-detail/{id}
DELETE /api/stock/u-o-m-conversion-detail/{id}
POST /api/stock/u-o-m-conversion-detail/reorder
UOM Conversion Detail object
{
  "id": "u-o-m-conversion-detail_abc123",
  "idx": 1,
  "item_id": "item_id_example",
  "uom": "uom_example",
  "conversion_factor": 0
}